﻿namespace DataPointSelection
{
    using System.ComponentModel;
    using System.Runtime.CompilerServices;
    using DataPointSelection.Annotations;

    public class HeartRateZone : INotifyPropertyChanged
    {
        private int high;
        private int low;
        private string name;

        public HeartRateZone(int high, int low, string name)
        {
            this.High = high;
            this.Low = low;
            this.Name = name;
        }

        
        public int High
        {
            get
            {
                return this.high;
            }

            set
            {
                this.high = value;
                this.OnPropertyChanged();
            }
        }

        public int Low
        {
            get
            {
                return this.low;
            }

            set
            {
                this.low = value;
                this.OnPropertyChanged();
            }
        }

        public string Name
        {
            get
            {
                return this.name;
            }

            set
            {
                this.name = value;
                this.OnPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
